## apertium-lex-tools 0.1.1~r60994

=== scripts/Makefile ===
all:
	g++ process_tagger_output.cc -o process-tagger-output -I /usr/local/include/apertium-3.3 -I /usr/local/include/lttoolbox-3.3 -I /usr/include/libxml2 -llttoolbox3 -lapertium3 -lxml2

=== debian/changelog ===
apertium-lex-tools (0.1.1~r60994-1build1) wily; urgency=medium

  * No-change rebuild against liblttoolbox3-3.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 01:05:03 +0000

apertium-lex-tools (0.1.1~r60994-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest from svn.
  * debian/control:
    + Updated Standards-Version to 3.9.6

  [ Kartik Mistry ]
  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Tue, 30 Jun 2015 19:38:26 +0530

apertium-lex-tools (0.1.0+svn~57414-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Initial release based on SVN

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Oct 2014 16:50:33 +0530

=== debian/control ===
Source: apertium-lex-tools
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.4),
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libxml2-dev,
               libxml2-utils,
               locales,
               pkg-config (>= 0.21),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://apertium.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/apertium-lex-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium-lex-tools.git

Package: apertium-lex-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Constraint-based lexical selection module
 This package provides a module for compiling lexical selection rules and
 processing them in the pipeline.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --parallel --with autoreconf

## apertium-lex-tools 0.1.1~r66150

=== scripts/Makefile ===
all:
	g++ -Wall -Wextra -O3 -g process_tagger_output.cc -o process-tagger-output -I/usr/local/include/apertium-3.4 -I/usr/local/include/lttoolbox-3.3 -I/usr/include/apertium-3.4 -I/usr/include/lttoolbox-3.3 -I/usr/include/libxml2 -llttoolbox3 -lapertium3 -lxml2

=== debian/changelog ===
apertium-lex-tools (0.1.1~r66150-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest from svn.
  * debian/control:
    + Updated Build-deps.
    + Updated Standards-Version to 3.9.8

 -- Kartik Mistry <kartik@debian.org>  Thu, 09 Jun 2016 19:34:38 +0530

apertium-lex-tools (0.1.1~r60994-2) unstable; urgency=low

  * Rebuild for new lttoolbox.
  * debian/control:
    + Updated Vcs-* URLs.

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Feb 2016 11:16:34 +0530

=== debian/control ===
Source: apertium-lex-tools
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.4),
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libxml2-dev,
               libxml2-utils,
               pkg-config (>= 0.21),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://apertium.org/
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/apertium-lex-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium-lex-tools.git

Package: apertium-lex-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Constraint-based lexical selection module
 This package provides a module for compiling lexical selection rules and
 processing them in the pipeline.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@ --fail-missing --parallel --with autoreconf

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

=== debian/watch ===
version=3
opts=filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/apertium/apertium-lex-tools \
.*=apertium-lex-tools(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## apertium-lex-tools 0.2.0~r84344

=== debian/changelog ===
apertium-lex-tools (0.2.0~r84344-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream from svn.
  * debian/control:
    + Updated Standards-Version to 4.1.3
    + Build-Depends on apertium-dev (>= 3.5.0~)
  * Updated debian/copyright.
  * Updated debian/watch file.

  [ Kartik Mistry ]
  * Install examples.
  * URLs: http->https.
  * Updated Vcs-* URLs.
  * Added Hardening support.

 -- Kartik Mistry <kartik@debian.org>  Thu, 22 Mar 2018 10:37:09 +0530

=== debian/control ===
Source: apertium-lex-tools
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.5.0~),
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1.1),
               libxml2-dev,
               libxml2-utils,
               pkg-config (>= 0.21),
               zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-lex-tools.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-lex-tools

Package: apertium-lex-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Constraint-based lexical selection module
 This package provides a module for compiling lexical selection rules and
 processing them in the pipeline.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
+export LC_ALL=C.UTF-8
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --fail-missing --parallel --with autoreconf

=== debian/watch ===
version=3
http://sf.net/apertium/apertium-lex-tools-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## apertium-lex-tools 0.2.1

=== debian/changelog ===
apertium-lex-tools (0.2.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * debian/control:
    + Updated dh to 11.
    + Updated Standards-Version to 4.2.1
    + Updated Build-Depends.

  [ Kartik Mistry ]
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Sun, 14 Oct 2018 20:17:36 +0530

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: apertium-dev (>= 3.5.0~),
-               autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: apertium-dev (>= 3.5.2),
+               debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
                libxml2-dev,
                libxml2-utils,
                pkg-config (>= 0.21),
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-lex-tools.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-lex-tools

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --fail-missing --parallel --with autoreconf
+	dh $@ --fail-missing --with autoreconf
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-lex-tools-$1.tar.gz%" \
    https://github.com/apertium/apertium-lex-tools/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-lex-tools 0.2.3

=== debian/changelog ===
apertium-lex-tools (0.2.3-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:23 +0100

apertium-lex-tools (0.2.3-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:01:32 +0000

apertium-lex-tools (0.2.3-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Added Python module
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.1

  [ Kartik Mistry ]
  * Added debian/gitlab-ci.yml
  * Updated package descriptions.

 -- Kartik Mistry <kartik@debian.org>  Tue, 29 Oct 2019 12:10:17 +0530

=== debian/control ===
Source: apertium-lex-tools
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.6.0),
               debhelper (>= 12),
               dh-python,
               libxml2-dev,
               libxml2-utils,
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig,
               zlib1g-dev
Standards-Version: 4.4.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-lex-tools.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-lex-tools

Package: apertium-lex-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Constraint-based lexical selection module
 Module for compiling lexical selection rules and processing them in the
 pipeline.

Package: python3-apertium-lex-tools
Architecture: any
Section: python
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Apertium lexical selection module (Python 3 module)
 Module for compiling lexical selection rules and processing them in the
 pipeline.
 .
 This package provides Python 3 module for apertium-lex-tools.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,16 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --fail-missing --with autoreconf
+	dh $@ --with autoreconf --with python3
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'
 
 override_dh_auto_install:
 	dh_auto_install
+	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
+	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
+
+override_dh_missing:
+	dh_missing --fail-missing

## apertium-lex-tools 0.2.7

=== debian/changelog ===
apertium-lex-tools (0.2.7-1) unstable; urgency=low

  * Force raw I/O to little-endian,
    which works around the runtime fails on big-endian archs

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 25 Dec 2020 11:40:22 +0100

apertium-lex-tools (0.2.6-1) unstable; urgency=low

  * Update to latest upstream
  * Remove patch as it's been integrated upstream
  * debian/control:
    + Updated Standards-Version to 4.5.1

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Dec 2020 14:33:34 +0100

apertium-lex-tools (0.2.3-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Patch to fix FTBFS with GCC 10 (Closes: #957001)
  * debian/control:
    + Updated dh to 13
    + Updated Standards-Version to 4.5.0

  [ Kartik Mistry ]
  * Added debian/upstream/metadata.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jul 2020 12:37:50 +0530

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: apertium-lex-tools
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: apertium-dev (>= 3.6.0),
-               debhelper (>= 12),
+Build-Depends: apertium-dev (>= 3.7.0),
+               debhelper-compat (= 13),
                dh-python,
                libxml2-dev,
                libxml2-utils,
@@ -14,10 +14,11 @@
                python3-setuptools,
                swig,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-lex-tools.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-lex-tools
+Rules-Requires-Root: no
 
 Package: apertium-lex-tools
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-lex-tools-$1.tar.bz2%" \
    https://github.com/apertium/apertium-lex-tools/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-lex-tools 0.3.1

=== debian/changelog ===
apertium-lex-tools (0.3.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Wed, 23 Mar 2022 11:04:08 +0530

apertium-lex-tools (0.3.1-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Provides new binary: libapertium-lex-tools0-0.3-0
    + Fixes Python autopkgtest failure.
  * debian/control:
    + Upstream now makes a library, so update package with consequences
      thereof.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Mar 2022 21:39:25 +0530

apertium-lex-tools (0.3.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release. (Closes: #1007985)
  * debian/control:
    + Updated Build-deps.
    + Updated Standards-Version to 4.6.0
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Sun, 20 Mar 2022 16:39:19 +0530

=== debian/control ===
Source: apertium-lex-tools
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libicu-dev,
               libirstlm-dev,
               libxml2-dev,
               lttoolbox-dev (>= 3.6.0),
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig
Standards-Version: 4.6.0
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-lex-tools.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-lex-tools
Rules-Requires-Root: no

Package: apertium-lex-tools
Architecture: any
Depends: libapertium-lex-tools0-0.3-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Constraint-based lexical selection module
 Module for compiling lexical selection rules and processing
 them in the pipeline.

Package: libapertium-lex-tools0-0.3-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libapertium-lex-tools
Conflicts: libapertium-lex-tools
Replaces: libapertium-lex-tools
Description: Shared library for Apertium lexical selection module
 Module for compiling lexical selection rules and processing
 them in the pipeline.
 .
 This package contains shared library for the Apertium
 constraint-based lexical selection module.

Package: python3-apertium-lex-tools
Architecture: any
Section: python
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Apertium lexical selection module (Python 3 module)
 Module for compiling lexical selection rules and processing
 them in the pipeline.
 .
 This package provides Python 3 module for apertium-lex-tools.

Package: apertium-lex-tools-dev
Architecture: any
Depends: apertium-lex-tools (= ${binary:Version}),
         lttoolbox-dev (>= 3.6.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Development library for Apertium lexical selection module
 Module for compiling lexical selection rules and processing
 them in the pipeline.
 .
 This package contains development files for the Apertium
 constraint-based lexical selection module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-yasmet --enable-irstlm --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.a' -exec rm -f '{}' \;

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://github.com/apertium/apertium-lex-tools/releases \
 .*/@PACKAGE@-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate

## apertium-lex-tools 0.4.1

=== debian/changelog ===
apertium-lex-tools (0.4.1-2) unstable; urgency=low

  * Upload to unstable

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 01 Sep 2022 10:18:07 +0200

apertium-lex-tools (0.4.1-1) experimental; urgency=low

  * Update to latest upstream
  * debian/control:
    + Decouple SO-version, and bump it

 -- Tino Didriksen <tino@didriksen.cc>  Mon, 29 Aug 2022 15:25:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
                libicu-dev,
                libirstlm-dev,
                libxml2-dev,
+               libxml2-utils,
                lttoolbox-dev (>= 3.6.0),
                pkg-config,
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-lex-tools.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-lex-tools
@@ -22,14 +23,14 @@
 
 Package: apertium-lex-tools
 Architecture: any
-Depends: libapertium-lex-tools0-0.3-0 (= ${binary:Version}),
+Depends: libapertium-lex-tools1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Constraint-based lexical selection module
  Module for compiling lexical selection rules and processing
  them in the pipeline.
 
-Package: libapertium-lex-tools0-0.3-0
+Package: libapertium-lex-tools1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -59,6 +60,7 @@
 Package: apertium-lex-tools-dev
 Architecture: any
 Depends: apertium-lex-tools (= ${binary:Version}),
+         libxml2-utils,
          lttoolbox-dev (>= 3.6.0),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_OPTIONS
 export LC_ALL=C.UTF-8
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto"
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## apertium-lex-tools 0.4.2

=== debian/changelog ===
apertium-lex-tools (0.4.2-2build5) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 08:36:20 +0100

apertium-lex-tools (0.4.2-2build4) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:43:05 +0100

apertium-lex-tools (0.4.2-2build3) noble; urgency=high

  * No change rebuild against libirstlm1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:00 +0200

apertium-lex-tools (0.4.2-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:38:05 +0000

apertium-lex-tools (0.4.2-2build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 18:37:41 +0100

apertium-lex-tools (0.4.2-2) unstable; urgency=medium

  * Add Breaks+Replaces (Closes: 1034929)

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 27 Apr 2023 15:38:15 +0200

apertium-lex-tools (0.4.2-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 26 Oct 2022 13:41:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,3 @@
 	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
 	find $(CURDIR) -type f -name '*.a' -exec rm -f '{}' \;
-
-override_dh_missing:
-	dh_missing --fail-missing

## apertium-lex-tools 0.5.0

=== debian/changelog ===
apertium-lex-tools (0.5.0-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Apr 2025 14:40:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: apertium-lex-tools
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libicu-dev,
                libirstlm-dev,
                libxml2-dev,
                libxml2-utils,
-               lttoolbox-dev (>= 3.6.0),
+               lttoolbox-dev (>= 3.8.0),
                pkg-config,
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-lex-tools.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-lex-tools
@@ -61,10 +61,12 @@
 Architecture: any
 Depends: apertium-lex-tools (= ${binary:Version}),
          libxml2-utils,
-         lttoolbox-dev (>= 3.6.0),
+         lttoolbox-dev (>= 3.8.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Breaks: apertium-lex-tools (<< 0.4.1)
+Replaces: apertium-lex-tools (<< 0.4.1)
 Description: Development library for Apertium lexical selection module
  Module for compiling lexical selection rules and processing
  them in the pipeline.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_OPTIONS
 export LC_ALL=C.UTF-8
 
-export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto"
+export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto reproducible=+fixfilepath"
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
